harmony-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Alexey Petrenko" <alexey.a.petre...@gmail.com>
Subject Re: [classlib][build][awt]met problem in building awt module on Linux-32
Date Mon, 19 Nov 2007 20:55:09 GMT
The compatible liblcms version was specified somewhere... But I can
not find this info now... :(

2007/11/19, Mikhail Markov <mikhail.a.markov@gmail.com>:
> Then the fix might be to specify the possible liblcms versions in README
> :-).
>
> Thanks,
> Mikhail
>
> On 11/19/07, Alexey Petrenko <alexey.a.petrenko@gmail.com> wrote:
> >
> > I'm not sure that it's expected to work with liblcms 1.17...
> >
> > But patches are welcome of course :)
> >
> > SY, Alexey
> >
> > 2007/11/19, Mikhail Markov <mikhail.a.markov@gmail.com>:
> > > Hi!
> > >
> > > I've just tried to build classlib on new Linux-32 and figured out that I
> > > could not build awt module with the message like in the mail below when
> > I've
> > > tried 1.17 version of LCMS lib. The NEWS file in lcms 1.17 package says
> > that
> > > "BOOL replaced by LCMSBOOL" which is the reason of failure as awt shared
> > > native files (src/main/native/lcmm/shared) uses BOOL.
> > >
> > > On previous versions of lcms build works ok.
> > > I've created a https://issues.apache.org/jira/browse/HARMONY-5150 JIRA
> > for
> > > this.
> > >
> > > Thanks,
> > > Mikhail
> > >
> > > On 7/30/07, chunrong lai <chunronglai@gmail.com> wrote:
> > > >
> > > > I met problems in built a fresh classlib in a new Linux32 (Pentium 4)
> > > > machine.
> > > > The error messages, which I have not met before, are as following:
> > > >
> > > > -build-native-common:
> > > >     [exec] cc -DLINUX -DLINUX_X86 -DHYX86 -D_REENTRANT
> > > > -DIPv6_FUNCTION_SUPPORT
> > > > -I/home/clai1/harmony/trunk/working_classlib/deploy/include
> > > > -I/home/clai1/harmony/trunk/working_classlib/deploy/jdk/include -I.
> > > > -I../shared/ -Icommon -I../shared//include
> > > >
> > > >
> > -I/home/clai1/harmony/trunk/working_classlib/deploy/../depends/libs/build/lcms
> > > > -march=pentium3 -g -fpic   -c -o ../shared//cmmerror.o
> > > > ../shared//cmmerror.c
> > > >     [exec] In file included from ../shared//NativeCMM.h:31,
> > > >     [exec]                  from ../shared//cmmerror.h:27,
> > > >     [exec]                  from ../shared//cmmerror.c:24:
> > > >     [exec] ../shared//cmmapi.h:38: error: expected '=', ',', ';',
> > 'asm' or
> > > > '__attribute__' before 'cmmCloseProfile'
> > > >     [exec] ../shared//cmmapi.h:48: error: expected '=', ',', ';',
> > 'asm' or
> > > > '__attribute__' before 'cmmGetProfileHeader'
> > > >     [exec] ../shared//cmmapi.h:50: error: expected '=', ',', ';',
> > 'asm' or
> > > > '__attribute__' before 'cmmSetProfileHeader'
> > > >     [exec] ../shared//cmmapi.h:54: error: expected '=', ',', ';',
> > 'asm' or
> > > > '__attribute__' before 'cmmGetProfileElement'
> > > >     [exec] ../shared//cmmapi.h:58: error: expected '=', ',', ';',
> > 'asm' or
> > > > '__attribute__' before 'cmmSetProfileElement'
> > > >     [exec] make: *** [../shared//cmmerror.o] Error 1
> > > >
> > > > BUILD FAILED
> > > > /home/clai1/harmony/trunk/working_classlib/build.xml:148: The
> > following
> > > > error occurred while executing this line:
> > > > /home/clai1/harmony/trunk/working_classlib/make/build-native.xml:77:
> > The
> > > > following error occurred while executing this line:
> > > > /home/clai1/harmony/trunk/working_classlib/modules/awt/build.xml:150:
> > The
> > > > following error occurred while executing this line:
> > > > /home/clai1/harmony/trunk/working_classlib/make/properties.xml:463:
> > exec
> > > > returned: 2
> > > >
> > > > The LCMS library is also newly built from
> > > > http://www.littlecms.com/downloads.htm.
> > > >
> > > > I do not know if it is related that I have a GCC-4.1.2.
> > > >
> > > > Thanks for your help.
> > > >
> > > >
> > > >
> > > > best regards,
> > > >
> > > > chunrong
> > > >
> > >
> >
>

Mime
View raw message